%define upstream_name	 Test-Deep
%define upstream_version 0.110

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extremely flexible deep comparison
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util) >= 1.90.0
BuildRequires: perl(Scalar::Util) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings) >= 0.20.0
BuildRequires: perl(Test::Tester) >= 0.40.0
BuildArch:  noarch

%description
Test::Deep gives you very flexible ways to check that the result you got is the
result you were expecting. At it's simplest it compares two structures by going
through each level, ensuring that the values match, that arrays and hashes have
the same elements and that references are blessed into the correct class. It
also handles circular data structures without getting caught in an infinite
loop.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CHANGES META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 373453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.110.0-1.mga3
+ Revision: 267507
- update to 0.110

* Fri Feb 24 2012 jquelin <jquelin> 0.109.0-1.mga2
+ Revision: 213778
- update to 0.109

* Mon Feb 21 2011 spuhler <spuhler> 0.108.0-2.mga1
+ Revision: 55169
- Increased rel for rebuild against perl-5.12

* Wed Jan 19 2011 jquelin <jquelin> 0.108.0-1.mga1
+ Revision: 24061
- fix spec file
- imported package perl-Test-Deep

